KDE 4.7 PyKDE API Reference

- KDE's Python API

# PulseSupport Class Reference

`from PyKDE4.phonon import *`

Inherits: QObject
Namespace: Phonon

## Detailed Description

## Signals
| objectDescriptionChanged (Phonon.ObjectDescriptionType a0)
## Methods
| __init__ (self)
| clearStreamCache (self, QString streamUuid)
| connectToDaemon (self)
| emitObjectDescriptionChanged (self, Phonon.ObjectDescriptionType a0)
| enable (self, bool enabled=1)
bool | isActive (self)
[int] | objectDescriptionIndexes (self, Phonon.ObjectDescriptionType type)
{QByteArray:QVariant} | objectDescriptionProperties (self, Phonon.ObjectDescriptionType type, int index)
[int] | objectIndexesByCategory (self, Phonon.ObjectDescriptionType type, Category category)
[int] | objectIndexesByCategory (self, Phonon.ObjectDescriptionType type, CaptureCategory category)
PulseStream | registerCaptureStream (self, QString streamUuid, CaptureCategory category)
PulseStream | registerCaptureStream (self, QString streamUuid, Category category)
PulseStream | registerOutputStream (self, QString streamUuid, Category category)
bool | setCaptureDevice (self, QString streamUuid, int device)
| setCaptureDevicePriorityForCategory (self, CaptureCategory category, [int] order)
| setCaptureDevicePriorityForCategory (self, Category category, [int] order)
bool | setOutputDevice (self, QString streamUuid, int device)
| setOutputDevicePriorityForCategory (self, Category category, [int] order)
bool | setOutputMute (self, QString streamUuid, bool mute)
bool | setOutputName (self, QString streamUuid, QString name)
bool | setOutputVolume (self, QString streamUuid, float volume)
## Static Methods
| debug ()
Phonon.PulseSupport | getInstance ()
| shutdown ()

## Signal Documentation

objectDescriptionChanged | ( | Phonon.ObjectDescriptionType | a0
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("objectDescriptionChanged(Phonon::ObjectDescriptionType)"), target_slot)`

## Method Documentation

__init__ | ( |  | self ) |

clearStreamCache | ( | self, |
|  | QString | streamUuid
| ) |  |  |

connectToDaemon | ( |  | self ) |

emitObjectDescriptionChanged | ( | self, |
|  | Phonon.ObjectDescriptionType | a0
| ) |  |  |

enable | ( | self, |
|  | bool | enabled=1
| ) |  |  |

bool isActive | ( |  | self ) |

[int] objectDescriptionIndexes | ( | self, |
|  | Phonon.ObjectDescriptionType | type
| ) |  |  |

{QByteArray:QVariant} objectDescriptionProperties | ( | self, |
|  | Phonon.ObjectDescriptionType | type,
|  | int | index
| ) |  |  |

[int] objectIndexesByCategory | ( | self, |
|  | Phonon.ObjectDescriptionType | type,
|  | Category | category
| ) |  |  |

[int] objectIndexesByCategory | ( | self, |
|  | Phonon.ObjectDescriptionType | type,
|  | CaptureCategory | category
| ) |  |  |

PulseStream registerCaptureStream | ( | self, |
|  | QString | streamUuid,
|  | CaptureCategory | category
| ) |  |  |

PulseStream registerCaptureStream | ( | self, |
|  | QString | streamUuid,
|  | Category | category
| ) |  |  |

PulseStream registerOutputStream | ( | self, |
|  | QString | streamUuid,
|  | Category | category
| ) |  |  |

bool setCaptureDevice | ( | self, |
|  | QString | streamUuid,
|  | int | device
| ) |  |  |

setCaptureDevicePriorityForCategory | ( | self, |
|  | CaptureCategory | category,
|  | [int] | order
| ) |  |  |

setCaptureDevicePriorityForCategory | ( | self, |
|  | Category | category,
|  | [int] | order
| ) |  |  |

bool setOutputDevice | ( | self, |
|  | QString | streamUuid,
|  | int | device
| ) |  |  |

setOutputDevicePriorityForCategory | ( | self, |
|  | Category | category,
|  | [int] | order
| ) |  |  |

bool setOutputMute | ( | self, |
|  | QString | streamUuid,
|  | bool | mute
| ) |  |  |

bool setOutputName | ( | self, |
|  | QString | streamUuid,
|  | QString | name
| ) |  |  |

bool setOutputVolume | ( | self, |
|  | QString | streamUuid,
|  | float | volume
| ) |  |  |

## Static Method Documentation

debug | ( |  | ) |

Phonon.PulseSupport getInstance | ( |  | ) |

shutdown | ( |  | ) |